Trendtrack
Trendtrack
DashboardGet API keyIntroducción
Referencia de la API
Ads
Advertisers
Brandtrackers
Discovery
Resolve a brand, advertiser, or shopResolve Facebook page and shop relationships
Emails
Facets
Favorites
Identity
Shops
System
Usage
Workspace
ReferenciaAPI

Discovery

Resolve a brand, advertiser, or shop

Zero-credit lookup for brand names, shop domains, Facebook page ids, and Instagram handles. Exact matches are returned before fuzzy name matches.

Authorization

publicApiBearer
AuthorizationBearer <token>

Provide a Trendtrack Public API key using Authorization: Bearer <api_key>.

In: header

Query Parameters

q*string

Brand name, shop domain, Facebook page id, or Instagram handle.

Length2 <= length <= 200
type?string

Limit lookup to one resource type, or search brandtrackers, advertisers, and shops with auto.

Default"auto"
Value in"auto" | "brandtracker" | "advertiser" | "shop"
limit?integer
Default10
Range1 <= value <= 10

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.trendtrack.io/v1/lookup?q=string"
{
  "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
  "data": [
    {
      "type": "shop",
      "matchType": "exact",
      "matchField": "domain",
      "score": 1,
      "brandtracker": {
        "id": "1e08fa85-625a-4ba5-b673-d2a4b7bc7c55",
        "name": "Example Brand",
        "facebookPageId": "61554990830184"
      },
      "advertiser": {
        "id": "61554990830184",
        "name": "Example Brand",
        "facebookPageId": "61554990830184"
      },
      "shop": {
        "id": "3f8aa146-6f96-46e8-9781-64db5166f9a8",
        "domain": "examplebrand.com",
        "name": "Example Brand"
      },
      "signals": {
        "activeAds": 42,
        "liveAdsCount": 42,
        "reach30d": 152340,
        "totalReach": 842100,
        "monthlyVisits": 1200000,
        "workspaceAddedAt": "2026-04-20T12:34:56.000Z",
        "hasBrandtracker": true,
        "hasAdvertiser": true,
        "hasShop": true
      }
    }
  ],
  "meta": {
    "q": "examplebrand.com",
    "type": "auto",
    "limit": 10,
    "returned": 3
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}

Resolve Facebook page and shop relationships

Zero-credit resolver for deterministic Facebook page ↔ shop/site relationships. Provide exactly one Facebook page alias or one shop/site alias.

Authorization

publicApiBearer
AuthorizationBearer <token>

Provide a Trendtrack Public API key using Authorization: Bearer <api_key>.

In: header

Query Parameters

facebook_id?string

Facebook page id alias. Provide one Facebook page alias or one shop/site alias.

Lengthlength <= 128
facebookPageId?string

Facebook page id alias. Provide one Facebook page alias or one shop/site alias.

Lengthlength <= 128
fb_page_id?string

Facebook page id alias. Provide one Facebook page alias or one shop/site alias.

Lengthlength <= 128
shopId?string

Shop/site id alias. Provide one shop/site alias or one Facebook page alias.

Formatuuid
website_id?string

Shop/site id alias. Provide one shop/site alias or one Facebook page alias.

Formatuuid
limit?integer
Default50
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.trendtrack.io/v1/lookup/facebook-shop"
{
  "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
  "data": {
    "input": {
      "type": "facebookPage",
      "id": "61554990830184"
    },
    "primaryShop": {
      "id": "3f8aa146-6f96-46e8-9781-64db5166f9a8",
      "domain": "examplebrand.com",
      "name": "Example Brand",
      "rank": "Main",
      "isMainRelation": true,
      "isPrimary": true,
      "trafficNumber": 125000,
      "profilePhotoUrl": "https://cdn.example.com/shop.png"
    },
    "shops": [
      {
        "id": "3f8aa146-6f96-46e8-9781-64db5166f9a8",
        "domain": "examplebrand.com",
        "name": "Example Brand",
        "rank": "Main",
        "isMainRelation": true,
        "isPrimary": true,
        "trafficNumber": 125000,
        "profilePhotoUrl": "https://cdn.example.com/shop.png"
      }
    ],
    "primaryFacebookPage": {
      "id": "61554990830184",
      "facebookPageId": "61554990830184",
      "name": "Example Brand",
      "rank": "Main",
      "isMainRelation": true,
      "isPrimary": true,
      "runningAds": 42
    },
    "facebookPages": [
      {
        "id": "61554990830184",
        "facebookPageId": "61554990830184",
        "name": "Example Brand",
        "rank": "Main",
        "isMainRelation": true,
        "isPrimary": true,
        "runningAds": 42
      }
    ]
  },
  "meta": {
    "limit": 50,
    "returnedShops": 2,
    "returnedFacebookPages": 0
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}

Get brandtracker overview

Previous Page

Resolve a brand, advertiser, or shop

Next Page